Skip to main content
PATCH
Update Item Customer Price

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

Path Parameters

fromQuantity
integer<int32>
required

The quantity the customer must buy to find the sales price.

itemId
integer<int32>
required

The id of the item that the customer specific price belongs to.

customerId
integer<int32>
required

The customer Id of the item that the customer specific price belongs to. Represents a unique key for identifying a customer in the JTL system.

Body

application/json

The item customer price to update.

Model Class: UpdateItemCustomerPrice

NetPrice
number<decimal>

The net sales price of the item. If you use NetPrice, you can't use ReduceStandardSpBy% too. Only one can be used.

ReduceStandardPriceByPercent
number<decimal>

Reduces the default sales price by a percentage. If you use NetPrice, you can't use ReduceStandardSpBy% too. Only one can be used.

Response